summaryrefslogtreecommitdiffhomepage
path: root/subr/rtl_list.subr
diff options
context:
space:
mode:
authorLucio Andrés Illanes Albornoz <lucio@lucioillanes.de>2020-03-15 12:44:26 +0000
committerLucio Andrés Illanes Albornoz <lucio@lucioillanes.de>2020-03-15 12:44:26 +0000
commite1d4697bc4af580c8bbdb8256fdc90626e18a226 (patch)
tree99c4cf49c4ba57d83bb03512bce0a89a0ac9d9f3 /subr/rtl_list.subr
parentb6a9a1a3c8b98077cce47d579069c42080d17da5 (diff)
downloadmidipix_build-e1d4697bc4af580c8bbdb8256fdc90626e18a226.tar.bz2
midipix_build-e1d4697bc4af580c8bbdb8256fdc90626e18a226.tar.xz
Set -o nounset in addition to +o errexit -o nounset.
groups/000.host_tools.group:libtool_host:${PKG_LIBTOOL}: build w/ `none'. subr/build_init.subr:buildp_init_getopts(): set ${DEFAULT_BUILD_CPUS} prior to ex_pkg_load_vars() call. subr/pkg_{build,install_make}.subr: only pass `LIBTOOL=${PKG_LIBTOOL}' if set and not `none'. vars/libtool_host.vars: removes obsolete vars file.
Diffstat (limited to 'subr/rtl_list.subr')
-rw-r--r--subr/rtl_list.subr4
1 files changed, 2 insertions, 2 deletions
diff --git a/subr/rtl_list.subr b/subr/rtl_list.subr
index b1105bab..c4c563bf 100644
--- a/subr/rtl_list.subr
+++ b/subr/rtl_list.subr
@@ -1,5 +1,5 @@
#
-# set +o errexit -o noglob is assumed.
+# set +o errexit -o noglob -o nounset is assumed.
#
rtl_lconcat() {
@@ -45,7 +45,7 @@ rtl_llift() {
};
rtl_lmatch() {
- local _list="${1}" _item="${2}" _sep="${3}";
+ local _list="${1}" _item="${2}" _sep="${3:- }";
[ -n "$(rtl_lsearch "${_list}" "${_item}" "${_sep}")" ];
};